import { OpenAPIV3 } from 'openapi-types';
export declare function IsReferenceObject(obj?: any): obj is OpenAPIV3.ReferenceObject;
export declare function NotContainsReferenceObjects<T>(array?: Array<OpenAPIV3.ReferenceObject | T | undefined>): array is T[];
export declare function IsOpenApiV3(obj?: any): obj is OpenAPIV3.Document;
export declare function AssertOpenApiV3(obj?: any): asserts obj is OpenAPIV3.Document;
